# Uses of Interface
org.apache.sysds.runtime.io.hdf5.H5ByteReader

Packages that use H5ByteReader
Package
Description
org.apache.sysds.runtime.io
org.apache.sysds.runtime.io.hdf5

## Uses of H5ByteReader in org.apache.sysds.runtime.io

Methods in org.apache.sysds.runtime.io with parameters of type H5ByteReader
Modifier and Type
Method
Description
`static long`
ReaderHDF5.`readMatrixFromHDF5(H5ByteReader byteReader, String datasetName, MatrixBlock dest, int rl, long ru, long clen, int blen)`

## Uses of H5ByteReader in org.apache.sysds.runtime.io.hdf5

Methods in org.apache.sysds.runtime.io.hdf5 that return H5ByteReader
Modifier and Type
Method
Description
`H5ByteReader`
H5RootObject.`getByteReader()`
Methods in org.apache.sysds.runtime.io.hdf5 with parameters of type H5ByteReader
Modifier and Type
Method
Description
`static H5RootObject`
H5.`H5Fopen(H5ByteReader reader)`
`void`
H5RootObject.`setByteReader(H5ByteReader byteReader)`
Constructors in org.apache.sysds.runtime.io.hdf5 with parameters of type H5ByteReader
Modifier
Constructor
Description
``
`H5Superblock(H5ByteReader reader, long address)`